Description

Hi,

it would be nice to have the possibility to add a new column to a (dbf) attribute table.

Thanks,

Markus

History

#1 - 2008-07-14 03:14 AM - Tim Sutton

Changed priority since major: does not work as expected should be used for features that are implemented but broken. We still need to implement this

feature, though I agree its an important one to have.

#2 - 2008-08-20 12:11 PM - Jürgen Fischer

this should probably added to the OGR shape driver.  QGIS would automatically pick it up, once the OGR would support it.

#3 - 2008-08-20 12:19 PM - Markus Neteler

The related GRASS C code is here:

http://trac.osgeo.org/grass/browser/grass/trunk/db/drivers/dbf/column.c

add_column()

#4 - 2008-08-20 01:39 PM - Paolo Cavallini

Anyway, this is now possible (and easy) with a python plugin. Maybe the ticked can be closed?

#5 - 2008-08-20 01:46 PM - Markus Neteler

Which plugin is that? Does it add a new button to the table manager?

#6 - 2008-08-21 01:20 AM - Paolo Cavallini
http://trac.osgeo.org/grass/browser/grass/trunk/db/drivers/dbf/column.c


Carson Farmer's fTools>Table tools

#7 - 2008-08-21 01:56 AM - Paolo Cavallini

Sorry, I was wrong. It's Table Manager from Borys Jurgiel repo

#8 - 2008-11-26 09:08 AM - Jürgen Fischer

FYI there's patch to OGR to do this: http://trac.osgeo.org/gdal/ticket/2672

#9 - 2009-06-12 02:18 PM - Redmine Admin

In gdal/ogr 1.6 is possible to add new attributes and the functionality is already implemented in qgis through the properties dialog. Should this ticket be

closed?

#10 - 2009-06-12 02:48 PM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to duplicate

duplicate of commit:b87e3053 (SVN r1447)

#11 - 2009-06-12 02:49 PM - Jürgen Fischer

Replying to [comment:13 jef]:

duplicate of commit:b87e3053 (SVN r1447)

ouch, #1446 that is.
http://trac.osgeo.org/gdal/ticket/2672

